#========================================================
# CLASS MENU
#========================================================
# Version: 1.1
# By: Archivolt
#========================================================

import es, popuplib

info = es.AddonInfo()
info.name = "Class Menu"
info.version = "1.1"
info.author = "Archivolt"
info.url = "http://www.ke0.us"
info.description = "Gamemode in which the Humans (CT) must survive against the Headcrabs (T)"
info.basename = "headcrabhunter"
es.ServerVar(info['basename'], info['version'], info['description']).makepublic()

def load():
    # Initialize ClassMenu
    classMenu()

def round_start(event_var):
    es.msg('#multi', '#green[Guns]#default Type !guns or !class to bring up the class menu!')

def classMenuHandlerMain(userid, choice, popupid):
    if choice == 'assault':
        classMenu.unsend(userid)
        classMenuAssault.send(userid)
    if choice == 'support':
        classMenu.unsend(userid)
        classMenuSupport.send(userid)
    if choice == 'demolition':
        classMenu.unsend(userid)
        classMenuDemolition.send(userid)
    if choice == 'overseer':
        classMenu.unsend(userid)
        classMenuOverseer.send(userid)
    if choice == 'special':
        classMenu.unsend(userid)
        classMenuSpecial.send(userid)

def classMenuHandlerGuns(userid, choice, popupid):
    # Strip weapons before giving new ones
    es.server.queuecmd('est_RemoveWeapon %s 1'%userid) # Remove Primary Weapon
    es.server.queuecmd('est_RemoveWeapon %s 2'%userid) # Remove Secondary Weapon
    if choice == 'assault1':
        es.server.queuecmd('es_give %s weapon_m4a1'%userid)
        es.server.queuecmd('es_give %s weapon_fiveseven'%userid)
    if choice == 'assault2':
        es.server.queuecmd('es_give %s weapon_ak47'%userid)
        es.server.queuecmd('es_give %s weapon_p228'%userid)
    if choice == 'assault3':
        es.server.queuecmd('es_give %s weapon_aug'%userid)
        es.server.queuecmd('es_give %s weapon_fiveseven'%userid)
    if choice == 'support1':
        es.server.queuecmd('es_give %s weapon_mac10'%userid)
        es.server.queuecmd('es_give %s weapon_glock'%userid)
    if choice == 'support2':
        es.server.queuecmd('es_give %s weapon_tmp'%userid)
        es.server.queuecmd('es_give %s weapon_fiveseven'%userid)
    if choice == 'support3':
        es.server.queuecmd('es_give %s weapon_mp5navy'%userid)
        es.server.queuecmd('es_give %s weapon_usp'%userid)
    if choice == 'support4':
        es.server.queuecmd('es_give %s weapon_ump45'%userid)
        es.server.queuecmd('es_give %s weapon_deagle'%userid)
    if choice == 'support5':
        es.server.queuecmd('es_give %s weapon_p90'%userid)
        es.server.queuecmd('es_give %s weapon_glock'%userid)
    if choice == 'demolition1':
        es.server.queuecmd('es_give %s weapon_m249'%userid)
        es.server.queuecmd('es_give %s weapon_elite'%userid)
    if choice == 'demolition2':
        es.server.queuecmd('es_give %s weapon_m249'%userid)
        es.server.queuecmd('es_give %s weapon_deagle'%userid)
    if choice == 'demolition3':
        es.server.queuecmd('es_give %s weapon_m3'%userid)
        es.server.queuecmd('es_give %s weapon_deagle'%userid)
    if choice == 'demolition4':
        es.server.queuecmd('es_give %s weapon_xm1014'%userid)
        es.server.queuecmd('es_give %s weapon_elite'%userid)
    if choice == 'overseer1':
        es.server.queuecmd('es_give %s weapon_scout'%userid)
        es.server.queuecmd('es_give %s weapon_elite'%userid)
        es.server.queuecmd('es_give %s item_nvgs'%userid)
    if choice == 'overseer2':
        es.server.queuecmd('es_give %s weapon_awp'%userid)
        es.server.queuecmd('es_give %s weapon_elite'%userid)
        es.server.queuecmd('es_give %s item_nvgs'%userid)
    if choice == 'overseer3':
        es.server.queuecmd('es_give %s weapon_sg550'%userid)
        es.server.queuecmd('es_give %s weapon_deagle'%userid)
    if choice == 'overseer4':
        es.server.queuecmd('es_give %s weapon_g3sg1'%userid)
        es.server.queuecmd('es_give %s weapon_deagle'%userid)
    if choice == 'special1':
        es.server.queuecmd('es_give %s weapon_famas'%userid)
        es.server.queuecmd('es_give %s weapon_usp'%userid)
        es.server.queuecmd('es_give %s item_nvgs'%userid)
    if choice == 'special2':
        es.server.queuecmd('es_give %s weapon_galil'%userid)
        es.server.queuecmd('es_give %s weapon_usp'%userid)
        es.server.queuecmd('es_give %s item_nvgs'%userid)
    if choice == 'special3':
        es.server.queuecmd('es_give %s weapon_sg552'%userid)
        es.server.queuecmd('es_give %s weapon_glock'%userid)
        es.server.queuecmd('es_give %s item_nvgs'%userid)
    if choice == 'special4':
        es.server.queuecmd('es_give %s weapon_aug'%userid)
        es.server.queuecmd('es_give %s weapon_glock'%userid)
        es.server.queuecmd('es_give %s item_nvgs'%userid)

def classMenu():
    global classMenu, classMenuAssault, classMenuSupport, classMenuDemolition, classMenuOverseer, classMenuSpecial
    classMenu = popuplib.easymenu('mainMenu', None, classMenuHandlerMain)
    classMenu.settitle('Class Category Menu:') # Main Menu
    classMenu.addoption('assault', "Assault")
    classMenu.addoption('support', "Support")
    classMenu.addoption('demolition', "Demolitions")
    classMenu.addoption('overseer', "Overseers")
    classMenu.addoption('special', "Special Ops")
    classMenuAssault = popuplib.easymenu('assaultMenu', None, classMenuHandlerGuns)
    classMenuAssault.settitle('Assault Classes:') # Assault Class Menu
    classMenuAssault.addoption('assault1', "FiveSeven, M4A1")
    classMenuAssault.addoption('assault2', "P228, AK47")
    classMenuAssault.addoption('assault3', "FiveSeven, AUG")
    classMenuSupport = popuplib.easymenu('supportmenu', None, classMenuHandlerGuns)
    classMenuSupport.settitle('Support Classes:') # Support Class Menu
    classMenuSupport.addoption('support1', "Glock, MAC-10")
    classMenuSupport.addoption('support2', "FiveSeven, TMP")
    classMenuSupport.addoption('support3', "USP, MP5")
    classMenuSupport.addoption('support4', "Deagle, UMP")
    classMenuSupport.addoption('support5', "Glock, P90")
    classMenuDemolition = popuplib.easymenu('demolitionmenu', None, classMenuHandlerGuns)
    classMenuDemolition.settitle('Demolition Classes:')
    classMenuDemolition.addoption('demolition1', "Dual Elites, M249")
    classMenuDemolition.addoption('demolition2', "Deagle, M249")
    classMenuDemolition.addoption('demolition3', "Deagle, M3")
    classMenuDemolition.addoption('demolition4', "Dual Elites, XM1014")
    classMenuOverseer = popuplib.easymenu('overseermenu', None, classMenuHandlerGuns)
    classMenuOverseer.settitle('Overseer Classes:')
    classMenuOverseer.addoption('overseer1', "Dual Elites, Scout, Nightvision")
    classMenuOverseer.addoption('overseer2', "Dual Elites, AWP, Nightvision")
    classMenuOverseer.addoption('overseer3', "Deagle, SG550")
    classMenuOverseer.addoption('overseer4', "Deagle, G3SG1")
    classMenuSpecial = popuplib.easymenu('specialmenu', None, classMenuHandlerGuns)
    classMenuSpecial.settitle('Special Ops Classes:')
    classMenuSpecial.addoption('special1', "USP, FAMAS, Nightvision")
    classMenuSpecial.addoption('special2', "USP, Galil, Nightvision")
    classMenuSpecial.addoption('special3', "Glock, SG552, Nightvision")
    classMenuSpecial.addoption('special4', "Glock, AUG, Nightvision")
    classMenuItems = popuplib.easymenu('itemMenu', None, classMenuHandlerGuns)
    classMenuItems.addoption('he_grenade', "HE Grenade")
    classMenuItems.addoption('smoke_grenade', "Headcrab Repellent")
    classMenuItems.addoption('item_nvg', "Nightvision")

def player_say(ev):
    if ev["text"] == '!guns':
        classMenu.send(ev['userid'])
    if ev["text"] == '!class':
        classMenu.send(ev['userid'])
